Subject: RE: [Ksummit-2005-discuss] Summary of 2005 Kernel Summit Proposed Topics

From: "Alex Aizman" <[email-masked]>
Date: Wed, 30 Mar 2005 11:28:07 -0800

> Andrea Arcangeli wrote: 
> 
> All I care about is to assign a mempool ID to the skb (ID 
> being unique identifier for the tcp connection I don't care 
> how the implementation is). 

It makes sense to provide an API for the NIC driver to allocate skb from the
*right* mempool. This way if I have plenty of hw rings and/or can allow
myself a luxury to associate 1-to-1 connection and ring, there's a nice and
clean memory management model. Even NICs that have only few rings could use
this - for critical (e.g., storage) connections. 

Alex